/**
 * @file
 * Manage "CaptchEtat" widget initialization.
 */

((Drupal, once) => {

  Drupal.behaviors.captchetatInit = {
    attach(context) {
      const widgets = once("captchetatWidget", ".captchetat-widget", context);

      if (!widgets.length) {
        return;
      }

      Drupal.ajax({
        url: "/captchetat/generate",
      }).execute();
    }
  };
})(Drupal, once);
